## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
# * files required by tests are not included in published crates
%bcond_with check
%global debug_package %{nil}

%global crate h2

Name:           rust-h2
Version:        0.3.21
Release:        %autorelease
Summary:        HTTP/2 client and server

License:        MIT
URL:            https://crates.io/crates/h2
Source:         %{crates_source}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
An HTTP/2 client and server.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/CONTRIBUTING.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+stream-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+stream-devel %{_description}

This package contains library source intended for building other packages which
use the "stream" feature of the "%{crate}" crate.

%files       -n %{name}+stream-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unstable-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unstable-devel %{_description}

This package contains library source intended for building other packages which
use the "unstable" feature of the "%{crate}" crate.

%files       -n %{name}+unstable-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Mon Jan 15 2024 Arkady L. Shane <tigro@msvsphere-os.ru> - 0.3.21-1
- Rebuilt for MSVSphere 9.3

* Wed Aug 23 2023 Fabio Valentini <decathorpe@gmail.com> - 0.3.21-1
- Update to version 0.3.21; Fixes RHBZ#2233225

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.20-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Jun 26 2023 Fabio Valentini <decathorpe@gmail.com> - 0.3.20-1
- Update to version 0.3.20; Fixes RHBZ#2217512

* Wed May 17 2023 Fabio Valentini <decathorpe@gmail.com> - 0.3.19-1
- Update to version 0.3.19; Fixes RHBZ#2203454

* Mon Apr 24 2023 Fabio Valentini <decathorpe@gmail.com> - 0.3.18-1
- Update to version 0.3.18; Fixes RHBZ#2187512

* Thu Apr 13 2023 Fabio Valentini <decathorpe@gmail.com> - 0.3.17-1
- Update to version 0.3.17; Fixes RHBZ#2186529

* Mon Feb 27 2023 Fabio Valentini <decathorpe@gmail.com> - 0.3.16-1
- Update to version 0.3.16; Fixes RHBZ#2173725

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Dec 10 2022 Fabio Valentini <decathorpe@gmail.com> - 0.3.15-1
- Update to version 0.3.15; Fixes RHBZ#2137328

* Sat Aug 20 2022 Fabio Valentini <decathorpe@gmail.com> - 0.3.14-1
- Update to version 0.3.14; Fixes RHBZ#2118836

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed May 25 2022 Fabio Valentini <decathorpe@gmail.com> - 0.3.13-1
- Update to version 0.3.13; Fixes RHBZ#2070787

* Tue Mar 29 2022 Fabio Valentini <decathorpe@gmail.com> - 0.3.12-1
- Update to version 0.3.12; Fixes RHBZ#2062464

* Wed Jan 26 2022 Fabio Valentini <decathorpe@gmail.com> - 0.3.11-1
- Update to version 0.3.11; Fixes RHBZ#2046482

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jan 07 2022 Fabio Valentini <decathorpe@gmail.com> - 0.3.10-1
- Update to version 0.3.10; Fixes RHBZ#2038002

* Mon Dec 20 2021 Fabio Valentini <decathorpe@gmail.com> - 0.3.9-1
- Update to version 0.3.9; Fixes RHBZ#2030785

* Thu Dec 09 2021 Fabio Valentini <decathorpe@gmail.com> - 0.3.8-1
- Update to version 0.3.8; Fixes RHBZ#2030463

* Fri Nov 05 2021 Fabio Valentini <decathorpe@gmail.com> - 0.3.7-1
- Update to version 0.3.7; Fixes RHBZ#2009505

* Thu Sep 30 2021 Fabio Valentini <decathorpe@gmail.com> - 0.3.5-1
- Update to version 0.3.5; Fixes RHBZ#2009076

* Sat Aug 21 2021 Fabio Valentini <decathorpe@gmail.com> - 0.3.4-1
- Update to version 0.3.4; Fixes RHBZ#1996226

* Tue Jul 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.3-2
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Apr 30 2021 Fabio Valentini <decathorpe@gmail.com> - 0.3.3-1
- Update to version 0.3.3.
- Fixes RHBZ#1955217

* Thu Mar 25 2021 Fabio Valentini <decathorpe@gmail.com> - 0.3.2-1
- Update to version 0.3.2.
- Fixes RHBZ#1942789

* Sat Mar 06 2021 Fabio Valentini <decathorpe@gmail.com> - 0.3.1-1
- Update to version 0.3.1.

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Nov 12 2020 Fabio Valentini <decathorpe@gmail.com> - 0.2.7-1
- Update to version 0.2.7.
- Fixes RHBZ#1891035

* Tue Aug 25 2020 Josh Stone <jistone@redhat.com> - 0.2.6-1
- Update to 0.2.6

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu May 14 19:53:31 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.2.5-1
- Update to 0.2.5

* Wed Mar 25 20:09:18 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.2.3-1
- Update to 0.2.3

* Wed Mar 04 2020 Josh Stone <jistone@redhat.com> - 0.2.2-1
- Update to 0.2.2

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Dec 14 16:52:35 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.1-1
- Update to 0.2.1

* Sat Nov 23 2019 Josh Stone <jistone@redhat.com> - 0.1.26-1
- Update to 0.1.26

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.25-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Jun 30 12:10:18 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.25-1
- Update to 0.1.25

* Tue Jun 18 08:24:55 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.24-1
- Update to 0.1.24

* Wed Jun 05 17:48:13 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.23-1
- Update to 0.1.23

* Mon Jun 03 2019 Josh Stone <jistone@redhat.com> - 0.1.22-1
- Update to 0.1.22

* Fri May 31 16:01:11 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.21-1
- Update to 0.1.21

* Wed Apr 10 07:39:15 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.18-1
- Update to 0.1.18

* Wed Mar 13 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.17-1
- Update to 0.1.17

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Jan 24 2019 Josh Stone <jistone@redhat.com> - 0.1.16-1
- Update to 0.1.16

* Mon Jan 14 2019 Josh Stone <jistone@redhat.com> - 0.1.15-1
- Update to 0.1.15

* Thu Dec 06 2018 Josh Stone <jistone@redhat.com> - 0.1.14-1
- Update to 0.1.14

* Mon Nov 12 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.13-2
- Adapt to new packaging

* Mon Oct 22 2018 Josh Stone <jistone@redhat.com> - 0.1.13-1
- Update to 0.1.13

* Thu Aug 09 2018 Josh Stone <jistone@redhat.com> - 0.1.12-1
- Update to 0.1.12

* Sat Aug 04 2018 Josh Stone <jistone@redhat.com> - 0.1.11-1
- Update to 0.1.11

* Wed Jul 11 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.10-1
- Initial package

